curl --request GET \
--url https://app.solya.app/api/inventory/risks \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.solya.app/api/inventory/risks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.solya.app/api/inventory/risks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.solya.app/api/inventory/risks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.solya.app/api/inventory/risks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.solya.app/api/inventory/risks")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.solya.app/api/inventory/risks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"avgDailySales": 3.5,
"brandId": "brand-nike",
"brandName": "Nike",
"closingStock": 2,
"daysOfSupply": 0.6,
"productId": "prod-001",
"productImageUrl": null,
"productName": "Air Max 90",
"rank": 1,
"status": "critical",
"variantCode": "AM90-BLK-42",
"variantId": "var-001",
"variantName": "Air Max 90 - Black/42"
},
{
"avgDailySales": 1.2,
"brandId": "brand-adidas",
"brandName": "Adidas",
"closingStock": 5,
"daysOfSupply": 4.2,
"productId": "prod-002",
"productImageUrl": null,
"productName": "UltraBoost 22",
"rank": 2,
"status": "critical",
"variantCode": "UB22-WHT-40",
"variantId": "var-002",
"variantName": "UltraBoost 22 - White/40"
}
],
"meta": {
"page": 1,
"pageSize": 20,
"total": 47
}
}List inventory stock-out risks (what to reorder / restock / replenish)
Returns a paginated ranking of product variants by stock-out urgency. Variants with the lowest days-of-supply are ranked first. Use this endpoint to find what to reorder, restock, or replenish — i.e. which variants are running low and need restocking, rebalancing, or markdown. This is the recommended first step for inventory triage: once you have identified at-risk variants here, consult listDecisionVectors (GET /intelligence/decision-vectors) for AI-ranked recommendations with prioritized action guidance and recommended quantities.
curl --request GET \
--url https://app.solya.app/api/inventory/risks \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.solya.app/api/inventory/risks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.solya.app/api/inventory/risks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.solya.app/api/inventory/risks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.solya.app/api/inventory/risks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.solya.app/api/inventory/risks")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.solya.app/api/inventory/risks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"avgDailySales": 3.5,
"brandId": "brand-nike",
"brandName": "Nike",
"closingStock": 2,
"daysOfSupply": 0.6,
"productId": "prod-001",
"productImageUrl": null,
"productName": "Air Max 90",
"rank": 1,
"status": "critical",
"variantCode": "AM90-BLK-42",
"variantId": "var-001",
"variantName": "Air Max 90 - Black/42"
},
{
"avgDailySales": 1.2,
"brandId": "brand-adidas",
"brandName": "Adidas",
"closingStock": 5,
"daysOfSupply": 4.2,
"productId": "prod-002",
"productImageUrl": null,
"productName": "UltraBoost 22",
"rank": 2,
"status": "critical",
"variantCode": "UB22-WHT-40",
"variantId": "var-002",
"variantName": "UltraBoost 22 - White/40"
}
],
"meta": {
"page": 1,
"pageSize": 20,
"total": 47
}
}Authorizations
User session token issued by NextAuth. For human users accessing Solya via the web application.
Query Parameters
Page number, 1-indexed (default: 1)
1 <= x <= 9007199254740991Number of items per page, max 100 (default: 20)
1 <= x <= 100Comma-separated shop IDs to filter by
Comma-separated brand IDs to filter by
Filter by risk status tier: critical (< 7 days supply), warning (7–13 days), healthy (≥ 14 days)
critical, warning, healthy Period in days for sales velocity calculation (default: 30). Mapped to nearest pre-aggregated window.
7 <= x <= 365
